com.tibco.bpm.service.connector

## Class ResourceQueryService

- java.lang.Object
- - com.tibco.bpm.service.connector.ResourceQueryService

- All Implemented Interfaces:
    ResourceQueryService

      public class ResourceQueryService
      extends java.lang.Object
      implements ResourceQueryService

  Provides access to the ResourceQueryService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.de.api.resourcequery.XmlSimpleResource[]` | `executeQuery(int aModelVersion, java.lang.String aQuery)` Executes a given query against the Directory Engine.
    `com.tibco.n2.de.api.resourcequery.XmlSimpleResource[]` | `executeQuery(int aModelVersion, java.lang.String aQuery, boolean aSingleResult, int aImplementation)` Executes a given query against the Directory Engine; with the option to return only a single result - chosen at random from the collection of results.
    `com.tibco.n2.de.api.resourcequery.XmlSimpleResource[]` | `executeQuery(java.lang.String query)` Executes a given query against the Directory Engine.
    `java.lang.String` | `resetQueries()` Resets dynamic queries in the Directory Engine.
    `java.lang.String` | `resetQueries(int aModelVersion)` Resets dynamic queries in the Directory Engine.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### executeQuery

          public com.tibco.n2.de.api.resourcequery.XmlSimpleResource[] executeQuery(java.lang.String query)
                                                                             throws com.tibco.n2.de.services.InternalServiceFault,
                                                                                    com.tibco.n2.de.services.InvalidServiceRequestFault,
                                                                                    com.tibco.n2.de.services.InvalidQueryFault,
                                                                                    com.tibco.n2.de.services.NoSuchNamedEntityFault

      Description copied from interface: `ResourceQueryService`
      Executes a given query against the Directory Engine.
      Specified by:
        `executeQuery` in interface `ResourceQueryService`
      Parameters:
        `query` - the RQL expression to be evaluated.
      Returns:
        the collection of Resources identified by the given query.
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.InvalidServiceRequestFault`
        `com.tibco.n2.de.services.InvalidQueryFault`
        `com.tibco.n2.de.services.NoSuchNamedEntityFault`

    - #### executeQuery

          public com.tibco.n2.de.api.resourcequery.XmlSimpleResource[] executeQuery(int aModelVersion,
                                                                                    java.lang.String aQuery)
                                                                             throws com.tibco.n2.de.services.InternalServiceFault,
                                                                                    com.tibco.n2.de.services.InvalidServiceRequestFault,
                                                                                    com.tibco.n2.de.services.InvalidQueryFault,
                                                                                    com.tibco.n2.de.services.NoSuchNamedEntityFault

      Description copied from interface: `ResourceQueryService`
      Executes a given query against the Directory Engine.
      Specified by:
        `executeQuery` in interface `ResourceQueryService`
      Parameters:
        `aModelVersion` - the major org-model version against which the query should be evaluated.
        `aQuery` - the RQL expression to be evaluated.
      Returns:
        the collection of Resources identified by the given query.
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.InvalidServiceRequestFault`
        `com.tibco.n2.de.services.InvalidQueryFault`
        `com.tibco.n2.de.services.NoSuchNamedEntityFault`

    - #### executeQuery

          public com.tibco.n2.de.api.resourcequery.XmlSimpleResource[] executeQuery(int aModelVersion,
                                                                                    java.lang.String aQuery,
                                                                                    boolean aSingleResult,
                                                                                    int aImplementation)
                                                                             throws com.tibco.n2.de.services.InternalServiceFault,
                                                                                    com.tibco.n2.de.services.InvalidServiceRequestFault,
                                                                                    com.tibco.n2.de.services.InvalidQueryFault,
                                                                                    com.tibco.n2.de.services.NoSuchNamedEntityFault

      Description copied from interface: `ResourceQueryService`
      Executes a given query against the Directory Engine; with the option to return only a single result - chosen at random from the collection of results.
      Specified by:
        `executeQuery` in interface `ResourceQueryService`
      Parameters:
        `aModelVersion` - the major org-model version against which the query should be evaluated.
        `aQuery` - the RQL expression to be evaluated.
      Returns:
        the collection of Resources identified by the given query.
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.InvalidServiceRequestFault`
        `com.tibco.n2.de.services.InvalidQueryFault`
        `com.tibco.n2.de.services.NoSuchNamedEntityFault`

    - #### resetQueries

          public java.lang.String resetQueries()
                                        throws com.tibco.n2.de.services.InternalServiceFault

      Description copied from interface: `ResourceQueryService`
      Resets dynamic queries in the Directory Engine.
      Specified by:
        `resetQueries` in interface `ResourceQueryService`
      Returns:
        none.
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`

    - #### resetQueries

          public java.lang.String resetQueries(int aModelVersion)
                                        throws com.tibco.n2.de.services.InternalServiceFault

      Description copied from interface: `ResourceQueryService`
      Resets dynamic queries in the Directory Engine.
      Specified by:
        `resetQueries` in interface `ResourceQueryService`
      Returns:
        none.
      Throws:
        `com.tibco.n2.de.services.InternalServiceFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.